curl https://api.cloudslicer3d.com/v1/quote/fdm/:file_id \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
"printer_id": "printer-id",
"filament_id": "filament-id",
"slicer_model": "prusa_slicer",
"pricing_config": {
"currency": "USD",
"cost_per_hour": 2.5,
"cost_per_gram": 0.02,
"base_price": 5,
"printer_watts": 100,
"cost_per_kwh": 0.12
},
"print_settings": {
"name": "Default Print Settings",
"filament_color": "string",
"auto_orient": true,
"layers_and_perimeters": {
"layer_height": {
"layer_height": 0.2,
"first_layer_height": 0.2,
"top_layers": 5,
"bottom_layers": 3,
"perimeters": 3
},
"advanced": {
"detect_thin_walls": false,
"thick_bridges": true,
"seam_position": "nearest",
"perimeter_generator": "classic",
"elefant_foot_compensation": 0.15,
"xy_size_compensation": 0,
"xy_hole_compensation": 0
}
},
"extrusion_width": {
"default": 0.45,
"first_layer": 0.42,
"external_perimeter": 0.4,
"perimeter": 0.45,
"infill": 0.45,
"solid_infill": 0.45,
"top_infill": 0.4,
"support": 0.42
},
"infill": {
"fill_density": "15%",
"fill_pattern": "grid",
"fill_angle": 45,
"infill_anchor": 2.5,
"infill_anchor_max": 15,
"infill_overlap": "25%",
"top_fill_pattern": "monotoniclines",
"ironing_type": "top",
"solid_infill_every_layers": 0,
"combine_infill_every_layers": 0
},
"skirt_and_brim": {
"skirt": {
"loops": 0,
"distance": 2,
"height": 2
},
"brim": {
"type": "no_brim",
"width": 5,
"separation_gap": 0.1
}
},
"support_material": {
"enable": false,
"style": "grid",
"pattern": "rectilinear",
"threshold_angle": 40,
"buildplate_only": false,
"top_z_distance": 0.15,
"xy_distance": 0.5,
"spacing": 2,
"top_interface_layers": 2,
"bottom_interface_layers": 0,
"interface_pattern": "rectilinear",
"interface_spacing": 0,
"dont_support_bridges": false,
"raft_layers": 0,
"raft_first_layer_expansion": 2
},
"speed": {
"perimeters": 300,
"small_perimeters": "50%",
"external_perimeters": 200,
"infill": 270,
"solid_infill": 250,
"top_solid_infill": 200,
"support_material": 150,
"support_material_interface": 80,
"gap_fill": 250,
"ironing": 15,
"travel": 500,
"travel_z": 0,
"first_layer": 50,
"first_layer_infill": 105,
"bridge": 50
},
"acceleration": {
"default": 10000,
"first_layer": 500,
"perimeter": 0,
"external_perimeter": 5000,
"infill": "100%",
"solid_infill": 0,
"top_solid_infill": 2000,
"travel": 10000,
"bridge": 0
},
"overhang": {
"enable_overhang_speed": true,
"speed_0": 0,
"speed_1": 50,
"speed_2": 30,
"speed_3": 10
},
"wipe_tower": {
"enable": false,
"width": 60
},
"output_options": {
"spiral_vase": false,
"print_sequence": "by layer"
}
}
}'